Subject: bug#9651: Files in AC_REQUIRE_AUX_FILE aren't automatically distributed

From: Stefano Lattarini <[email-masked]>
Date: Thu, 20 Oct 2011 15:27:11 +0200

On Sunday 09 October 2011, Stefano Lattarini wrote:
> On Thursday 06 October 2011, Stefano Lattarini wrote:
> > On Sunday 02 October 2011, Stefano Lattarini wrote:
> > > The automake manual says:
> > > 
> > > AC_REQUIRE_AUX_FILE
> > >   For each AC_REQUIRE_AUX_FILE([file]), automake will ensure that file
> > >   exists in the aux directory, and will complain otherwise. It will also
> > >   automatically distribute the file.
> > > 
> > > But the last sentence is incorrect (see attached test case).
> > >
> > Apparently, the bug seems to be present only when the directory of the
> > auxiliary files itself contains a Makefile.am (in particular, when it
> > is `.').  I've committed the attached patch (to maint) to expose the bug.
> > I'm working on a fix (that also tackles bug#9546), but that is still
> > causing few unresolved issues with threaded automake, and will introduce
> > some (very minor) backward-incomatibilities, so I plan to finally commit
> > the fix to master only.
> > 
> FYI, this bug is being tackled by the patch series "Reorganize automake
> internals for distribution tarball creation":
> 
>  <http://lists.gnu.org/archive/html/automake-patches/2011-10/msg00017.html>
> 
I've now merged the `dist-refactor' branch into `test-protocols' (commit
`v1.11-1230-g6042b46'), so I'm closing this bug report.

Regards,
  Stefano